Skip to main content
Resource Center/Network Service/Network Service Operations/Security Group Operations
GETSecurity Group OperationsSince 0.6SynchronousAuth Required

QueryVmNicInSecurityGroup

QueryVmNicInSecurityGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • vmNicUuidStringRequired

      The VM NIC UUID.

    • securityGroupUuidStringRequired

      The security group UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/security-groups/vm-instances/nics

/zstack/v1/security-groups/vm-instances/nics

Operation ID

QueryVmNicInSecurityGroup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/security-groups/vm-instances/nics' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "9bac6b3729ae4915bc9f4cee67753774", "vmNicUuid": "7d0784059df64a11aef748e18b0d5fa7", "securityGroupUuid": "d3ace95b1236482896f5d1921638ada5", "vmInstanceUuid": "ace37e89d86c4994942f858a67172a0d", "createDate": "Jun 7, 2017 9:20:32 PM", "lastOpDate": "Jun 7, 2017 9:20:32 PM" } ] }

Change History

This API has no change history records yet.

View all change history